/*
 *  This file is part of Dascant.
 *
 *  Dascant is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Dascant is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Dascant; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301
 *  USA
 */

#ifndef _DASCANT_COFNIG_H
#define _DASCANT_COFNIG_H

#define SIZE 128

#define ENTRY_WIDTH 48

#define MOVE_STEPSIZE 0.4
#define ROTATE_STEPSIZE (M_PI / 2)

#define KEY_QUIT     GDK_Escape

#define KEY_LEFT     'a'
#define KEY_RIGHT    'd'
#define KEY_UP       'e'
#define KEY_DOWN     'c'
#define KEY_FORWARD  'w'
#define KEY_BACKWARD 's'
#define KEY_ANA      'q'
#define KEY_KATA     'z'

#define KEY_RETURN   GDK_Return

#define KEY_ROTATE   GDK_Shift

#define KEY_PITCH_UP   GDK_Up
#define KEY_PITCH_DOWN GDK_Down
#define KEY_YAW_LEFT   GDK_Left
#define KEY_YAW_RIGHT  GDK_Right
#define KEY_ROLL_LEFT  '-'
#define KEY_ROLL_RIGHT '='
#define KEY_SPILL_XY_ANA  '['
#define KEY_SPILL_XY_KATA ']'
#define KEY_SPILL_XZ_ANA  ';'
#define KEY_SPILL_XZ_KATA '\''
#define KEY_SPILL_YZ_ANA  ','
#define KEY_SPILL_YZ_KATA '.'

#endif
