/*
 *  This file is part of Dascant.
 *
 *  Dascant is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Dascant is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Dascant; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301
 *  USA
 */

#ifndef _DASCANT_ENTITY_H
#define _DASCANT_ENTITY_H

#include "vector4.h"
#include "ray.h"

#define DEFAULT_RED 0
#define DEFAULT_GREEN 0
#define DEFAULT_BLUE 0xff

class collision;

class entity {
public:
	enum axis { xAxis, yAxis, zAxis, wAxis };
	unsigned char red, green, blue;
#if 0
	rotation4 rotation;
#endif

	entity(void);
	void setColor(unsigned char, unsigned char, unsigned char);
	void setColor(unsigned int);
	virtual void translate(const vector4 &);
	virtual void rotate(axis, axis, double);
	virtual int detectCollisions(const ray *R, collision[]) const;
	virtual int size(void) const;
	virtual bool inside(const vector4 &) const;
	virtual char *toString(char *s=0x0) const;
};

#endif
