/*
 *  This file is part of Dascant.
 *
 *  Dascant is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Dascant is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Dascant; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301
 *  USA
 */

#ifndef _DASCANT_TESSERACT_H
#define _DASCANT_TESSERACT_H
/**
 * The tesseract class.  Represents a four-dimensional hyperbox.
 */

#include <vector4.h>
#include <quadric.h>
#include <cucumber.h>
#include <glue.h>

class collision;

class tesseract : public glue {
private:
	vector4 size;
	quadric hyperface[4];
	cucumber boundingCucumber;

public:
	tesseract(const vector4 *);
	tesseract(double s);
	tesseract(void);
	void initialize(const vector4 *s);
	//virtual int detectCollisions(const ray *R, collision *C) const;
	char *toString(char *s=0x0);

	double getHeight(void);
	double getWidth(void);
	double getDepth(void);
	double getTrength(void);
};

#endif
