/*
 *  This file is part of Dascant.
 *
 *  Dascant is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Dascant is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Dascant; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301
 *  USA
 */

#ifndef _DASCANT_TRANSFORM4_H
#define _DASCANT_TRANSFORM4_H

/**
 * The transform4 class.  This class represents a linear transformation in
 * tetraspace, on a homogeneous coordinate system.
 */

#include <vector4.h>

class transform4 {
public:
	double matrix[4][4];
	transform4(void);
	void setColumn(int n, vector4 &V);
	vector4 getColumn(int n);
	void setRow(int n, vector4 &V);
	vector4 getRow(int n);
	vector4 applyTo(vector4 &P);
	transform4 applyTo(transform4 &T);
	char *toString(char *s=0x0);
	void makeIdentity(void);
};

#endif
