/*
 *  This file is part of Dascant.
 *
 *  Dascant is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Dascant is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Dascant; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301
 *  USA
 */

#include <dascant.h>
#include <stdio.h>
#include <sys/resource.h>
#include <unistd.h>

main( int argc, char *argv[] )
{
	struct rlimit stack;
	stack.rlim_cur = RLIM_INFINITY;
	setrlimit(RLIMIT_STACK, &stack);

	cucumber E;
	camera cam;
	cam.position(0, 0, 10, 0);
	ray R(&cam, 0, 0);
	collision C[2];

	int n = E.detectCollisions(&R, C);
	for (int i = 0; i < n; ++i) {
		char buf[256];
		C[i].toString(buf);
		printf("collision at %s\n", buf);
	}
}
