public class Ellipsonk extends Quadric {
	private Vector4D size;

	/**
	 * Class constructor with specification of axis lengths.
	 */
	public Ellipsonk( Vector4D s ) {
		super();
		initialize(s);
	}

	/**
	 * Class constructor for the unit sphere.
	 */
	public Ellipsonk() {
		super();
		initialize(new Vector4D(1, 1, 1, 1));
	}

	private void initialize( Vector4D s )
	{
		size = s;

		coeff[0][0][0][0] = -1;
		coeff[2][0][0][0] = 1/(s.elem[0]*s.elem[0]);
		coeff[0][2][0][0] = 1/(s.elem[1]*s.elem[1]);
		coeff[0][0][2][0] = 1/(s.elem[2]*s.elem[2]);
		coeff[0][0][0][2] = 1/(s.elem[3]*s.elem[3]);
	}
};
