/**
 * Perspective4D class.  This class describes a perspective projection from
 * tetraspace to the XY plane.
 */

public class Perspective4D extends Transform4D {
	private double focal_length;

	/**
	 * Class constructor.
	 * @param focus the focal length.
	 */
	public Perspective4D( double focus )
	{
		super();

		this.setFocus(focus);
	}

	public void setFocus( double f )
	{
		matrix[0][0] = f;
		matrix[1][1] = f;
		matrix[2][2] = 1;

		focal_length = f;
	}

	public double getFocus()
	{
		return focal_length;
	}
};
