/**
 * The Translation4D class.  This class represents a translation in
 * tetraspace, on a homogeneous coordinate system.
 */
public class Translation4D extends Transform4D {
	/**
	 * Class constructor requiring a vector.
	 * @param v a Vector4D to translate by.
	 */
	public Translation4D( Vector4D v )
	{
		super();

		setColumn(4, v);
	}

	/**
	 * Return a Transformation representing the translational component of a
	 * transform.
	 * @param T a Transform4D to get the translational component from.
	 * @return a new Transform4D that only performs the above translation.
	 */
	public static Translation4D getTranslation( Transform4D T )
	{
		Vector4D v = T.getColumn(4);
		return new Translation4D(v);
	}
};
