public class test_Collision_Hyperellipse {
	public static void main( String argv[] )
	{
		if (argv.length < 2) {
			System.err.println("usage: java test_Collision_Hyperellipse x y");
			System.exit(1);
		}

		Quadric ellipse = new Quadric();

		ellipse.coeff[2][0][0][0] = 0.25;
		ellipse.coeff[0][2][0][0] = 1.0;
		ellipse.coeff[0][0][2][0] = 1.0;
		ellipse.coeff[0][0][0][2] = 1.0;
		ellipse.coeff[0][0][0][0] = -1.0;

		Camera cam = new Camera(2.0);
		cam.position = new Vector4D(0, 0, 10, 0);
		Ray R = new Ray(cam,
			Double.valueOf(argv[0]).doubleValue(),
			Double.valueOf(argv[1]).doubleValue());

		System.out.println("Will be testing for collisions with "
			+ "the ellipse defined by the equation \n\t" + ellipse);
		System.out.println("\nRay to trace: " + R);
		System.out.println("from Camera at " +
			cam.position + "\npointing along " + cam.axis[0] + "\n");

		Collision C[] = ellipse.detectCollisions(R);
		if (C == null)
			System.out.println("No collisions.");
		else {
			int i;
			for (i = 0; i < C.length; ++i)
				System.out.println("Collision at " + C[i]);
		}
	}
};
