public class test_Collision_Tesseract {
	public static void main( String argv[] )
	{
		if (argv.length < 2) {
			System.err.println("usage: java test_Collision_Tesseract x y");
			System.exit(1);
		}

		Tesseract tess = new Tesseract();

		Camera cam = new Camera(2.0);
		cam.position = new Vector4D(0, 4, 10, 0);
		cam.axis[0] = cam.position.scale(-1);
		try { cam.orientation = new Rotation4D(cam.axis[0], cam.axis[1]); }
		catch(GeometryException e) {
			e.printStackTrace();
			System.exit(1);
		}
		Ray R = new Ray(cam,
			Double.valueOf(argv[0]).doubleValue(),
			Double.valueOf(argv[1]).doubleValue());

		System.out.println("Will be testing for collisions with "
			+ "the tesseract\n\t" + tess);
		System.out.println("\nRay to trace: " + R);
		System.out.println("from Camera at " +
			cam.position + "\npointing along " + cam.axis[0]);

		Collision C[] = tess.detectCollisions(R);
		if (C == null)
			System.out.println("No collisions.");
		else {
			int i;
			for (i = 0; i < C.length; ++i) {
				System.out.println("\nCollision at " + C[i]);
				System.out.println("Surface normal here is " + C[i].normal);
			}
		}
	}
};
